libcdr::CDRInternalStream Class Reference

`#include <CDRInternalStream.h>`

Inheritance diagram for libcdr::CDRInternalStream:

## Public Member Functions

| CDRInternalStream (librevenge::RVNGInputStream *input, unsigned long size, bool compressed=false)
| CDRInternalStream (const std::vector< unsigned char > &buffer)
| ~CDRInternalStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override
unsigned long | getSize () const

## Private Member Functions

| CDRInternalStream (const CDRInternalStream &)
CDRInternalStream & | operator= (const CDRInternalStream &)

## Private Attributes

volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

## CDRInternalStream() [1/3]

libcdr::CDRInternalStream::CDRInternalStream | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = false )

Referenced by CDRInternalStream(), and operator=().

## CDRInternalStream() [2/3]

libcdr::CDRInternalStream::CDRInternalStream | ( | const std::vector< unsigned char > & | buffer | ) |

## ~CDRInternalStream()

libcdr::CDRInternalStream::~CDRInternalStream | ( |  | ) |

inline override

## CDRInternalStream() [3/3]

libcdr::CDRInternalStream::CDRInternalStream | ( | const CDRInternalStream & |  | ) |

private

## Member Function Documentation

## existsSubStream()

bool libcdr::CDRInternalStream::existsSubStream | ( | const char * |  | ) |

inline override

## getSize()

unsigned long libcdr::CDRInternalStream::getSize | ( |  | ) | const

inline

## getSubStreamById()

librevenge::RVNGInputStream * libcdr::CDRInternalStream::getSubStreamById | ( | unsigned |  | ) |

inline override

## getSubStreamByName()

librevenge::RVNGInputStream * libcdr::CDRInternalStream::getSubStreamByName | ( | const char * |  | ) |

inline override

## isEnd()

bool libcdr::CDRInternalStream::isEnd | ( |  | ) |

override

Referenced by libcdr::CDRParser::parseRecord().

## isStructured()

bool libcdr::CDRInternalStream::isStructured | ( |  | ) |

inline override

## operator=()

CDRInternalStream & libcdr::CDRInternalStream::operator= | ( | const CDRInternalStream & |  | ) |

private

## read()

const unsigned char * libcdr::CDRInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )

override

## seek()

int libcdr::CDRInternalStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )

override

## subStreamCount()

unsigned libcdr::CDRInternalStream::subStreamCount | ( |  | ) |

inline override

## subStreamName()

const char * libcdr::CDRInternalStream::subStreamName | ( | unsigned |  | ) |

inline override

## tell()

long libcdr::CDRInternalStream::tell | ( |  | ) |

override

## Member Data Documentation

## m_buffer

std::vector<unsigned char> libcdr::CDRInternalStream::m_buffer

private

Referenced by CDRInternalStream(), CDRInternalStream(), getSize(), isEnd(), read(), and seek().

## m_offset

volatile long libcdr::CDRInternalStream::m_offset

private

Referenced by CDRInternalStream(), CDRInternalStream(), isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- CDRInternalStream.h
- CDRInternalStream.cpp